Package org.apache.sysds.runtime.compress.lib

## Class CLALibMatrixMult

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibMatrixMult

    public class CLALibMatrixMult
    extends Object

### Constructor Summary

Constructors
`CLALibMatrixMult()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `matrixMult​(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock` `matrixMultiply​(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean transposeLeft, boolean transposeRight)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibMatrixMult

    public CLALibMatrixMult()

### Method Detail

#### matrixMult

    public static MatrixBlock matrixMult​(MatrixBlock m1,
                                         MatrixBlock m2,
                                         MatrixBlock ret,
                                         int k)

#### matrixMultiply

    public static MatrixBlock matrixMultiply​(MatrixBlock m1,
                                             MatrixBlock m2,
                                             MatrixBlock ret,
                                             int k,
                                             boolean transposeLeft,
                                             boolean transposeRight)